--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: proto
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array of IP protocol numbers, and passes them each to a block if one given
- !ruby/struct:SM::Flow::P 
  body: If an argument is given, only protocols matching <tt>state</tt> are given.
full_name: Nmap::Parser::Host#ip_proto_list
is_singleton: false
name: ip_proto_list
params: (state = "") {|proto| ...}
visibility: public
